<?php

namespace Ron\MVC;

/**
 * Umoznuje vyrendrovat obsah View nebo ViewObjectu do stringu
 */
class Renderer
{
    /** @var string|ViewObject  Jmeno php souboru, nebo ViewObject, nebo funkce, ktera neco renderuje */
    protected $view;

    /**
     * @param ViewObject|string|callable $view
     */
    public function __construct($view)
    {
        $this->view = $view;
    }

    /**
     * @return string
     * @throws \Exception
     */
    public function renderContent()
    {
        ob_start();

        if ($this ->view instanceof ViewObject) {
            $this ->view ->render();
        } else if (is_callable($this ->view)) {
            call_user_func($this ->view);
        } else if (is_string($this ->view)) {
            require $this ->view;
        }

        $result = ob_get_contents();

        ob_end_clean();

        if ($result === false) {
            throw new \Exception('Chyba v metode Renderer::renderToString');
        }

        return $result;
    }


    /**
     * @param ViewObject|string|callable $view
     * @return string
     * @throws \Exception
     */
    public static function renderToString($view)
    {
        $renderer = new static($view);
        return $renderer ->renderContent();
    }
}
