<?php
/**
 * stanislav.elbl, 28.02.2021
 */

namespace RonPortal\Dochazka;

use Ron\Controls\Dialog;
use Ron\Controls\DialogButton;use Ron\DB\Database;
use Ron\MVC\Model;
use Ron\MVC\ViewObject;
use Ron\TextManager;
use RonPortal\Obdobi;
use RonPortal\RonPortalSession;
use RonPortal\RonPortalXMLEvents;
use RonPortal\XML\RonPortalXMLForm;

class SchvaleniView implements ViewObject
{
    var $xmlEventsText = '';
    var $showDialog;

    var $redirectUrl = null;

    protected $obdobi;

    /**
     * SchvaleniView constructor.
     * @param Database $database
     * @param bool $showDialog
     */
    public function __construct($database, $showDialog = false)
    {
        $this ->showDialog = $showDialog;

        $this ->obdobi = Obdobi::vratObdobi($database, 'ADS', RonPortalSession::obdobi());

        Model::setData('obdobi', $this ->obdobi);
        Model::setData('datumzpracovanidochazky', DochazkaUtils::datumCasZpracovaniDochazky($database));

        // nacte pripadne xml formulare
        $this ->xmlEventsText = RonPortalXMLForm::xmlEvents($database, RonPortalXMLEvents::SCHVALOVANI_SHOW, '', '', true); // returnContent = true
    }


    /**
     * @param ?string $redirectUrl
     * @return SchvaleniView
     */
    public function setRedirectUrl($redirectUrl)
    {
        $this->redirectUrl = $redirectUrl;
        return $this;
    }



    public function render()
    {
        //parent::render();
        $dialog = (new Dialog())
            ->setView('ronportal/dochazka/view_schvaleni_dochazky.php')
            ->setTitle('Schvalovani')
            ->setId('schvaleni_dialog');

        if ($this ->showDialog) {
            $dialog
                ->addClass('zobrazit-po-nacteni')
                ->setHtmlParam('data-idpp', RonPortalSession::vybranaOsoba())  // TODO: predelat (odstranit session)
                ->setHtmlParam('data-obdobi', date('j.n.Y', $this ->obdobi ->zacatek))
                ->setHtmlParam('data-redirect-url', $this ->redirectUrl);
        }

        if (!$this ->obdobi ->uzavreno) {
            $dialog -> addButton(
                (new DialogButton())
                    ->setValue('Provest')
                    ->setId('btnSchvaleniOK')
                    ->setClass('submitbutton')
            );
        }

        $dialog ->addButton(
            DialogButton::cancelButton('btnStornoSchvaleni')
        );

        $dialog ->render();

        echo $this ->xmlEventsText;

//        if ($this ->showDialog) {  - presunuto do javascriptu
//            $obdobistr = date('j.n.Y', $this ->obdobi ->zacatek);
//            $idpp = RonPortalSession::vybranaOsoba();
//            echo
//                "<script type='text/javascript'>" .
//                ( App::getDebugMode() ? "console.log('Zobrazuji schvaleni pro idpp $idpp, obdobi $obdobistr');" : '') .
//                "ronPortal.dochazka.zobrazSchvaleniDochazky($idpp, '$obdobistr', " . ($this ->redirectUrl ? "'{$this ->redirectUrl}'" : 'null') . ");" .
//                "</script>";
//
//        }
    }
}
