<?php
/**
 * stanislav.elbl, 25.11.2015
 */

namespace RonPortal\ELearning;

use Ron\GuiUtils;
use RonPortal\Testy\DotaznikViewObject;


class TestViewObject extends DotaznikViewObject
{
    /** @var  TestEKurzu */
    public $testEKurzu;

    /**
     * TestViewObject constructor.
     * @param TestEKurzu $testEKurzu
     * @param bool $editace
     */
    public function __construct($testEKurzu, $editace)
    {
        parent::__construct($testEKurzu ->test, $editace, false);
        $this->testEKurzu = $testEKurzu;
    }


    /**
     * Vraci obrazek pro zadany stav. Pokud je $stav=null, tak vraci obrazek pro aktualni stav
     * @param null $stav
     * @return string
     */
    public function getInfoImage($stav = null)
    {
        if (!$stav) {
            $stav = $this ->testEKurzu ->test ->test_stav;
        }

        switch ($stav) {
            case '3' :
                //return 'images/32_ok.png';
                return 'fa-check';
            case '2' :
            case '4' :
                //return 'images/32_cancel.png';
                return 'fa-times';
            default :
                return '';
        }
    }


    function getHtmlAttributes()
    {
        $attrs = ['data-editace' => $this->editace ? 1 : 0];

        if ($this ->testEKurzu ->casovyLimit) {
            $attrs['data-casovy-limit'] = $this ->testEKurzu ->casovyLimit; // pocet sekund od zacatku
            $attrs['data-cas-do'] = date('j.n.Y H:i:s', $this ->testEKurzu ->test ->test_datumCasPocatku + $this ->testEKurzu ->casovyLimit);
        }

        return GuiUtils::getAttributesHtml($attrs);
    }


//    function getJsonPrezentace()
//    {
//        $obj = ['editace' => $this->editace ? 1 : 0];
//
//        if ($this ->testEKurzu ->casovyLimit) {
//            $obj['casovyLimit'] = $this ->testEKurzu ->casovyLimit; // pocet sekund od zacatku
//            $obj['casDo'] = date('j.n.Y H:i:s', $this ->testEKurzu ->test ->test_datumCasPocatku + $this ->testEKurzu ->casovyLimit);
//        }
//
//        return json_encode($obj);
//    }

}
