<?php

namespace RonPortal\Jidelna;

use Ron\DateUtils;
use Ron\DB\Database;
use Ron\StringUtils;
use Ron\TextManager;
use RonPortal\Controls\FilterFormFilter;
use RonPortal\Controls\RonPortalFilterForm;

/**
 * Ve filterformu zobrazuje aktualni stav uctu stravnika.
 */
class StavUctuFilter extends FilterFormFilter
{
    /** @var RonPortalFilterForm */
    private $filterForm;


    public function __construct(RonPortalFilterForm $filterForm)
    {
        parent::__construct('stavuctu', self::TYPE_TEXT);

        $this ->filterForm = $filterForm;

        $this ->rowId = 'filterrow_ucetstravnika';
    }

    public function load(Database $database)
    {
        // Cenova kategorie zamestnance
        $cenovaKategorie = new CenovaKategorie($this->filterForm ->vybranaOsobaRC, $this->filterForm ->vybranaOsobaOsobniCislo, $this->filterForm ->vybranaOsobaDatumNastupu);
        $cenovaKategorie->nactiVlastnostiKDatu($database, DateUtils::today());

        // u srazkove aktualni stav v obdobi dle data
        // u zalohove nacitat stav z posledniho vypocteneho obdobi
        $stavUctuStravnika = UcetStravnika::nactiAktualniStav($database,
            $this->filterForm ->vybranaOsobaRC, $this->filterForm ->vybranaOsobaOsobniCislo, $this->filterForm ->vybranaOsobaDatumNastupu,
            DateUtils::today(),
            $cenovaKategorie->f_ZpusobUctovani == 0);

        if ($stavUctuStravnika) {
            $this->value =
                '<span class="filterformtext">' .
                TextManager::_('Jidelna_aktualni_stav') .
                StringUtils::format('kc', $stavUctuStravnika->stavUctu) .
                '</span>';
        }
    }
}
