

ronPortal.elearning = {
    storeTimeout: 10, // 15,
    forceStoreTimeout: 30 // 60
};


ronPortal.elearning.ObsahKurzu = function() {
    this.id = 0;
    this.poradi = 0;
    this.nazev = '';
    this.obsah = '';

    this.kodStrany = '';
    this.zobrazitHlavicku = 1;
    this.zobrazitPaticku = 1;
    this.temaCislo = undefined;

    this.povolitPokracovatBezTestu = 0;

    this.insertUserName = '';
    this.insertTimestamp = '';
    this.updateUserName = '';
    this.updateTimestamp = '';
    this.$menuItem = null;  // odkaz na polozku v seznamu stranek
};

ronPortal.elearning.PrilohaKurzu = function() {
    this.id = 0;        // id v ramci kurzu
    this.nazev = '';
    this.type = ''; // image/document/video/audio/unknown
};

ronPortal.elearning.TestKurzu = function() {
    this.druhHodnoceni = 0;
    this.temaCislo = 0;
    this.kod = '';
    this.popis = '';
};

ronPortal.elearning.DataEditace = function() {
    this.id = 0;     // id kurzu
    this.revize = 0; // id revize kurzu
    this.obsahKurzu = [];
    this.prilohy = [];
    this.testy = [];
};


(function() {

    let seznamPriloh = null;
    let zobrazPrilohu = function (prilohy, idRevize, index) {
        $("<li/>")
            .text(prilohy[index].nazev)
            .addClass("media-item")
            .data("ron-id", prilohy[index].id)
            .data("ron-index", index)
            .data("ron-url", "?menuid=kurzy&%DOWNLOAD%&revize=" + idRevize + "&priloha=" + prilohy[index].id)
            .data("ron-type", prilohy[index].type)
            .appendTo("#kurz_prilohy")
            ;
    };

    $.extend(ronPortal.elearning, {
        zobrazPrilohy: function (prilohy, idRevize) {
            seznamPriloh = prilohy;

            $("#kurz_prilohy").empty();

            for (let i = 0; i < prilohy.length; i++) {
                zobrazPrilohu(prilohy, idRevize, i);
            }
        }

    });
    var odstranPrilohuZeSeznamu = function(index) {
        if (seznamPriloh) {
            seznamPriloh.splice(index, 1);
        }
    };

    var prilohaPopupMenuClick = function(e, data) {
        let
            akce = $(this).data("ron-akce"),
            index = $("#kurz_prilohy").children("li").index( data );

        switch (akce) {
            case "zobrazit" :
                $(data).closest(".media-list").mediaViewer( {
                    initialItem: data
                });
                break;

            case "odstranit" :
                $(data).trigger("delete-media",
                    function() {
                        odstranPrilohuZeSeznamu(index);
                        $(data).remove();
                    });
                break;
        }
    };

    var onPrilohaMouseUp = function($e) {
        if ($e.which == 3) {
            $("#prilohy_menu").ronPopupMenu({
                mouseEvent: $e,
                onClick: prilohaPopupMenuClick,
                data: this // polozka seznamu, pro kterou je popupmenu zobrazeno
            });

            return false;
        }
    };

    $(function() {
        $("#kurz_prilohy")
            .on("contextmenu", function() { return false; })
            .on("mouseup", "li", onPrilohaMouseUp);
    });

})();
ronPortal.elearning.initEditaceKurzu = function(dataEditace, initialTab) {
    console.log("initEditaceKurzu", dataEditace);
    var aktualniStrana = -1;

    var editor = null;
    var saveButton = null;
    var $nadpis = $("#elearning_nadpis");
    var top = $nadpis.offset().top + $nadpis.outerHeight();

    var
        $elearningContainer = $("#elearning_container"),
        urlDownload = $elearningContainer.data("url-download");

    $elearningContainer
        .css("top", top);
    var pridejZalozku = function(index) {
        var strana = dataEditace.obsahKurzu[index];

        strana.$menuItem = $("<li/>")
            .html("<span>" + strana.poradi + '. ' + strana.nazev + "</span>")
            .data("ron-poradi", strana.poradi)
            .data("ron-id", strana.id)
            .data("ron-index", index)
            .appendTo("#kurz_obsah_list");

        return strana.$menuItem;
    };
    var zobrazZalozky = function(strany) {
        $("#kurz_obsah_list").empty();

        for (var i = 0;  i < strany.length;  i++) {
            pridejZalozku(i);
        }
    };
    var najdiStranku = function(id) {
        for (var i = 0;  i < dataEditace.obsahKurzu.length;  i++) {
            if (dataEditace.obsahKurzu[i].id == id) {
                return dataEditace.obsahKurzu[i];
            }
        }

        return null;
    };


    var pridejNovouStranku = function(strana) {
        if (!strana) return;

        dataEditace.obsahKurzu[dataEditace.obsahKurzu.length] = strana;
        var $li = pridejZalozku(dataEditace.obsahKurzu.length - 1);

        zobrazZalozku($li);
    };
    var newContent = function() {
        $.ajax( "?menuid=kurzy&action=newcontent&idrevize=" + dataEditace.revize)
            .done( function(data) {
                if (data.result == "OK") {
                    pridejNovouStranku(data.obsah);
                } else {
                    ron.showError(data);
                }
            }).fail( function(jqXHR) {
                ron.logAjaxError(jqXHR, "Pri vkladani nove stranky doslo k chybe!");
            });
    };


    var updateDirty = function() {
        if (saveButton) saveButton.disabled(!editor.isDirty());
    };
    var saveContent = function(index) {
        if (!editor) return;

        dataEditace.obsahKurzu[index].obsah = editor.getContent();
        var strana = dataEditace.obsahKurzu[index];

        $.ajax(
            {
                url: "?menuid=kurzy&action=savecontent",
                type: "POST",
                data: {
                    id: strana.id,
                    obsah: strana.obsah
                }
            })
            .done( function(data) {
                if (data.result == "OK") {
                } else {
                    ron.showError(data);
                }
            }).fail( function(jqXHR) {
                ron.logAjaxError(jqXHR, "Pri ukladani stranky doslo k chybe!");
            });

        editor.isNotDirty = true;
        updateDirty();
    };
    var forceStoreTimer = null;
    var storeTimer = null;
    var onStoreTimer = function() {
        storeTimer = null;

        if (forceStoreTimer) {
            clearTimeout(forceStoreTimer);
            forceStoreTimer = null;
        }

        saveContent(aktualniStrana);
    };
    var onForceStoreTimer = function() {
        forceStoreTimer = null;

        if (storeTimer) {
            clearTimeout(storeTimer);
            storeTimer = null;
        }

        saveContent(aktualniStrana);
    };

    var clearTimers = function() {
        if (storeTimer) {
            clearTimeout(storeTimer);
            storeTimer = null;
        }

        if (forceStoreTimer) {
            clearTimeout(forceStoreTimer);
            forceStoreTimer = null;
        }
    };
    var storeContent = function() {
        if (aktualniStrana < 0  ||  !editor  ||  !editor.isDirty()) {
            return;
        }

        if (storeTimer) clearTimeout(storeTimer);
        storeTimer = setTimeout(onStoreTimer, ronPortal.elearning.storeTimeout * 1000);

        if (!forceStoreTimer) {
            forceStoreTimer = setTimeout(onForceStoreTimer, ronPortal.elearning.forceStoreTimeout * 1000);
        }
    };
    var pageProperties = function(index) {
        var
            strana = dataEditace.obsahKurzu[index],
            $select = $("#test_obsahu");

        $("#kurz_page_title")
            .val(strana.nazev);

        $("#kurz_page_code")
            .val(strana.kodStrany);

        $select.empty();

        $("<option/>")
            .val("")
            .text("")
            .appendTo($select);

        for (var i = 0;  i < dataEditace.testy.length;  i++) {
            $("<option/>")
                .val(dataEditace.testy[i].temaCislo)
                .text(dataEditace.testy[i].popis)
                .appendTo($select);
        }

        $select.val(strana.temaCislo ? strana.temaCislo : "");

        $("#kurz_page_show_header").prop('checked', strana.zobrazitHlavicku);
        $("#kurz_page_show_footer").prop('checked', strana.zobrazitPaticku);
        $("#kurz_page_povolit_pokracovat").prop('checked', strana.povolitPokracovatBezTestu);
    };



    var zobrazStranu = function(index) {
        if (index < 0  ||  index >= dataEditace.obsahKurzu.length) {
            return;
        }

        clearTimers();

        if (aktualniStrana >= 0  &&  aktualniStrana < dataEditace.obsahKurzu.length) {
            if (editor.isDirty()) {
                saveContent(aktualniStrana);
            }
        }

        aktualniStrana = index;

        pageProperties(index);

        $("#kurz_editace").val(dataEditace.obsahKurzu[index].obsah);

        if (editor ) {
            editor.load(); // nacte obsah z textarea

            updateDirty();
        }
    };
    $("#elearning_tabs").rontabs({ initialPage: initialTab });
    var tinymceSetup = function(setupEditor) {
        editor = setupEditor;

        var onChangeText = function() {
            updateDirty();
            storeContent();
        };

        setupEditor.on("change", onChangeText);
        setupEditor.on("nodeChange", onChangeText );
        setupEditor.on("keyup", onChangeText );

        var saveBtn = {
            text: '<i class="fa glyph-ok"></i>',
            tooltip: ron._('Save'),
            onAction: function () {
                clearTimers();
                saveContent(aktualniStrana);
            },
            onPostrender: function() {
                saveButton = this;
            }
        };


        setupEditor.ui.registry.addButton('ron_save', saveBtn);
    };
    zobrazZalozky(dataEditace.obsahKurzu);
    ronPortal.elearning.zobrazPrilohy(dataEditace.prilohy, dataEditace.revize);
    var savePageProperties = function(index) {
        if (!editor) return;

        var strana = dataEditace.obsahKurzu[index];
        strana.nazev = $("#kurz_page_title").val();
        strana.kodStrany = $("#kurz_page_code").val();

        strana.zobrazitHlavicku = $("#kurz_page_show_header").prop('checked') ? 1 : 0;
        strana.zobrazitPaticku = $("#kurz_page_show_footer").prop('checked') ? 1 : 0;
        strana.povolitPokracovatBezTestu = $("#kurz_page_povolit_pokracovat").prop('checked') ? 1 : 0;
        strana.temaCislo = $("#test_obsahu").val();

        $.ajax(
            {
                url: "?menuid=kurzy&action=saveproperties",
                type: "POST",
                data: {
                    id: strana.id,
                    nazev: strana.nazev,
                    kodStrany: strana.kodStrany,
                    zobrazitHlavicku: strana.zobrazitHlavicku,
                    zobrazitPaticku: strana.zobrazitPaticku,
                    povolitPokracovatBezTestu: strana.povolitPokracovatBezTestu,
                    temaCislo: strana.temaCislo
                }
            })
            .done( function(data) {
                if (data.result == "OK") {
                    strana.$menuItem
                        .text(strana.poradi + '. ' + strana.nazev);
                } else {
                    ron.showError(data);
                }
            }).fail( function(jqXHR) {
                ron.logAjaxError(jqXHR, "Pri ukladani vlastnosti stranky doslo k chybe!");
            });
    };
    var onUploadImage = function (blobInfo, success, failure) {
        console.log("onUploadImage", blobInfo, success, failure);

        var form = new FormData();
        form.append("upload_file", blobInfo.blob());
        form.append("filename", blobInfo.filename());
        form.append("revize", dataEditace.revize);

        var successUpload = function(data) {
            if (success) {
                success(data.location);
            }
        };

        handleUploadForm(form, successUpload, failure);
    };
    var createLinklist = function(callback) {
        var list = [
            {text: ron._("Nasledujici_strana"), value:"%NEXT_PAGE%"},
            {text: ron._("Predchozi_strana"), value:"%PREV_PAGE%"},
            {text: ron._("Prvni_strana"), value:"%FIRST_PAGE%"},
            {text: ron._("Posledni_strana"), value:"%LAST_PAGE%"}
        ];

        for (var i = 0;  i < dataEditace.obsahKurzu.length;  i++) {
            if (dataEditace.obsahKurzu[i].kodStrany) {
                list[list.length] = { text: dataEditace.obsahKurzu[i].nazev, value: "%PAGE#" + dataEditace.obsahKurzu[i].kodStrany + "%" }
            }
        }

        list[list.length] = { text: ron._('Zavrit_okno_kurzu'), value:"%CLOSE%" };
        list[list.length] = { text: ron._('Certifikat'), value:"%CERTIFIKAT%" };

        callback(list);
    };
    tinymce.init({
        mode: "exact",
        selector: "#kurz_editace",
        language: ron._('TinyMCE_Lang_Code'),

        menubar: "edit insert view format table tools",
        statusbar: true,
        resize: "both",

        content_css: 'script/ronmce.css',

        height: "100%",

        style_formats_merge: true,
        style_formats: [
            {
                title: 'Image Left',
                selector: 'img',
                styles: {
                    'float': 'left',
                    'margin': '5px 10px'
                }
            },
            {
                title: 'Image Right',
                selector: 'img',
                styles: {
                    'float': 'right',
                    'margin': '5px 10px'
                }
            },
            {
                title: 'Image Inline',
                selector: 'img',
                styles: {
                    'float': 'none'
                }
            },
            {
                title: 'Asset',
                inline: 'span',
                classes: 'asset'
            }
        ],

        paste_data_images: true,
        images_upload_handler: onUploadImage,
        plugins: [
            "advlist autolink lists link charmap print preview anchor",
            "searchreplace visualblocks fullscreen",
            "insertdatetime table paste", // contextmenu
            "code image imagetools media table charmap" // textcolor colorpicker asset
        ],
        toolbar: "undo redo ron_save searchreplace | styleselect fontsizeselect | bold italic | forecolor backcolor | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image table charmap | fullscreen code",
        setup: tinymceSetup,

        link_list : createLinklist

    });
    var zobrazZalozku = function($li, tabId) {
        $("#kurz_obsah_list")
            .children().toggleClass("selected", false);

        $li
            .toggleClass("selected", true);

        zobrazStranu( $li.data("ron-index") );

        var $tabs = $("#elearning_tabs");

        if (tabId) {
            $tabs.rontabs("selectPage", tabId);
        } else {
            if (!$tabs.rontabs("getSelectedPageId") || $tabs.rontabs("getSelectedPageId") == "kurz_basic" || $tabs.rontabs("getSelectedPageId") == "kurz_testy") {
                $tabs.rontabs("selectPage", "kurz_text");
            }
        }
    };
    var osnovaClick = function(e) {
        zobrazZalozku( $(this) );
    };


    var odstranStranku = function(strana) {
        var index = $.inArray(strana, dataEditace.obsahKurzu);
        if (index < 0) {
            console.log('odstranStranku: zadana strana nebyla nalezena!');
            return;
        }
        dataEditace.obsahKurzu.splice(index, 1);
        if (aktualniStrana == index) {
            aktualniStrana = -1;
        }
        zobrazZalozky(dataEditace.obsahKurzu);
        if (dataEditace.obsahKurzu.length > index) {
            zobrazZalozku(dataEditace.obsahKurzu[index].$menuItem);
        } else if (!dataEditace.obsahKurzu.length) {
            $("#elearning_tabs").rontabs("selectPage", "kurz_basic");
        } else {
            zobrazZalozku(dataEditace.obsahKurzu[index - 1].$menuItem)
        }

    };


    var deletePage = function(index) {
        var strana = dataEditace.obsahKurzu[index];

        if ( !ron.confirm( ron._("Opravdu_smazat_stranku") + " " + strana.nazev + "?") ) return;

        $.ajax(
            {
                url: "?menuid=kurzy&action=deletecontent",
                type: "POST",
                data: {
                    id: strana.id
                }
            })
            .done( function(data) {
                if (data.result == "OK") {
                    odstranStranku(strana)
                } else {
                    ron.showError(data);
                }
            }).fail( function(jqXHR) {
                ron.logAjaxError(jqXHR, "Pri mazani stranky doslo k chybe!");
            });
    };


    var osnovaPopupMenuClick = function(e, data) {
        var akce = $(this).data("ron-akce");

        switch (akce) {
            case "editovat" :
                zobrazZalozku( $(data), "kurz_text" );
                break;

            case "vlastnosti" :
                zobrazZalozku( $(data), "kurz_podrobnosti_stranky" );
                break;

            case "odstranit" :
                deletePage( $(data).data("ron-index") );
                break;
        }
    };


    var osnovaMouseUp = function(e) {

        if (e.which == 3) {
            $("#kurz_osnova_menu").ronPopupMenu({
                attachToElement : $(this),
                onClick : osnovaPopupMenuClick,
                data: this // polozka seznamu, pro kterou je popupmenu zobrazeno
            });

            return false;
        }
    };
    var nastavPoradiStranek = function(poradiStranek) {
        if (!poradiStranek) return;
        for (var i = 0;  i < poradiStranek.length;  i++) {
            var stranka = najdiStranku(poradiStranek[i].id);
            if (stranka) {
                stranka.poradi = poradiStranek[i].poradi;
            }
        }
    };


    var osnovaPreusporadana = function(e, ui) {
        let
            indexStrany = ui.item.data("ron-index"),
            strana = dataEditace.obsahKurzu[indexStrany],
            newIndex = ui.item.index(),
            novePoradi = dataEditace.obsahKurzu[newIndex].poradi;
        $.ajax(
            {
                url: "?menuid=kurzy&action=changeorder",
                type: "POST",
                data: {
                    id: strana.id,
                    newindex: novePoradi // newIndex + 1 // (poradi je cislovane od 1)
                }
            })
            .done( function(data) {
                if (data.result === "OK") {
                    nastavPoradiStranek(data.poradiStranek);
                    dataEditace.obsahKurzu.splice(indexStrany, 1);
                    dataEditace.obsahKurzu.splice(newIndex + (newIndex > indexStrany ? 1 : 0), 0, strana);
                    for (let i = 0;  i < dataEditace.obsahKurzu.length;  i++) {
                        dataEditace.obsahKurzu[i].$menuItem.data("ron-index", i);
                    }
                } else {
                    ron.showError(data);
                }
            }).fail( function(jqXHR) {
                ron.logAjaxError(jqXHR, "Pri zmene poradi stranek doslo k chybe!");
            });

    };


    $("#kurz_new_content")
        .on("click", newContent);

    $("#kurz_obsah_list")
        .on("click", "li", osnovaClick)
        .on("mouseup", "li", osnovaMouseUp)
        .on("contextmenu", function() { return false; })
        .ronsortable( {
            axis: "y",
            stop: osnovaPreusporadana
        } )
    ;
    var prilohaDblClick = function() {

        var
            $this = $(this),
            id = $this.data("ron-id");

        if (!id) {
            return;
        }

        var
            index = $("#kurz_prilohy").children("li").index( this),
            ed = tinyMCE.get("kurz_editace"),
            range = ed.selection.getRng();

        if (dataEditace.prilohy[index].type == "image") {
            var newNode = ed.getDoc().createElement("img");
            newNode.src = "?menuid=kurzy&%DOWNLOAD%&revize=" + dataEditace.revize + "&priloha=" + id;
        } else if (dataEditace.prilohy[index].type == "video") {
            newNode = ed.getDoc().createElement ( "video" );
            newNode.controls = "controls";
            newNode.width = 640;
            newNode.height = 480;

            var sourceNode = ed.getDoc().createElement ( "source" );
            sourceNode.src = "?menuid=kurzy&%DOWNLOAD%&revize=" + dataEditace.revize  + "&priloha=" + id;
            newNode.appendChild(sourceNode);
        } else {
            newNode = ed.getDoc().createElement("a");
            newNode.href = "?menuid=kurzy&%DOWNLOAD%&revize=" + dataEditace.revize  + "&priloha=" + id;
            newNode.textContent = ron._('Stahnout_prilohu');
            newNode.target = "_blank";
        }

        range.insertNode(newNode);
        updateDirty();
    };
    var handleUploadForm = function(form, success, failure) {
        $.ajax(
            {
                url: "?menuid=kurzy&action=upload",
                type: "POST",
                data: form,
                cache: false,
                dataType: 'json',
                processData: false,
                contentType: false
            })
            .done( function(data) {
                if (data.result == "OK") {
                    dataEditace.prilohy = data.prilohy;
                    ronPortal.elearning.zobrazPrilohy(data.prilohy, dataEditace.revize);
                    if (success) success(data);
                    editor.isNotDirty = false;

                } else {
                    ron.showError(data);
                    if (failure) failure("Pri nahravani souboru doslo k chybe!");
                }
            }).fail( function(jqXHR) {
                ron.logAjaxError(jqXHR, "Pri nahravani souboru doslo k chybe!");
                if (failure) failure("Pri nahravani souboru doslo k chybe!");
            });
    };
    var handleUploadFiles = function(files, createPages, finishedCallback) {
        var counter = files.length;


        var uploadFinished = function(data) {
            counter--;
            if (!counter  &&  finishedCallback) {
                finishedCallback();
            }

            if (createPages  &&  data  &&  data.strana) {
                pridejNovouStranku(data.strana);
            }
        };

        var handleUploadFile = function(file, createPage) {
            var fileReader = new FileReader();

            fileReader.onload = ( function(e) {

                var form = new FormData();
                form.append('upload_file', file);
                form.append('revize', dataEditace.revize);
                if (createPage) {
                    form.append('createPage', 1);
                }

                handleUploadForm(form, uploadFinished, uploadFinished);
            });

            fileReader.readAsBinaryString(file);
        };


        for (var i = 0;  i < files.length;  i++) {
            handleUploadFile(files[i], createPages);
        }
    };


    var onPageDrop = function($e) {
        var
            dt = $e.originalEvent.dataTransfer,
            $this = $(this);

        $this.toggleClass("loading", true);

        handleUploadFiles(dt.files, true, // createPages = true
            function() {
                $this.toggleClass("loading", false);
            }
        );

        return false;
    };
    var onPrilohaDrop = function($e) {
        console.log($e, $e.originalEvent.dataTransfer);
        let
            dt = $e.originalEvent.dataTransfer,
            $this = $(this);

        $this.toggleClass("loading", true);

        handleUploadFiles(dt.files, false,
            function() { $this.toggleClass("loading", false); }
        );

        return false;
    };


    var onResize = function() {
    };
    var zobrazTesty = function() {
        var $tbody = $("#seznamPripojenychTestu");

        $tbody.empty();

        for (var i = 0;  i < dataEditace.testy.length;  i++) {
            $("<tr/>")
                .attr("class", (i % 2) ? "browsercolor1" : "browsercolor2")
                .append( $("<td/>").text(dataEditace.testy[i].kod) )
                .append( $("<td/>").text(dataEditace.testy[i].popis) )
                .append( $("<td/>")
                    .append( $("<a/>")
                        .attr("href", "?menuid=testy&action=show&idrevize=" + dataEditace.revize + "&druhhodnoceni=" + dataEditace.testy[i].druhHodnoceni + "&temacislo=" + dataEditace.testy[i].temaCislo)
                        .text( ron.translate('Editovat'))
                        .attr("target", "_blank")) )
                .appendTo($tbody);
        }
    };

    zobrazTesty();

    var novyTestError = function(error) {
        $("#novyTestOK").removeAttr("disabled");
        ron.showError(error);
    };


    var novyTestOK = function() {
        $("#novyTestOK").attr("disabled", "disabled");

        var kod = $("#kodNovehoTestu").val();
        var popis = $("#popisNovehoTestu").val();

        if (kod == '') {
            novyTestError( ron.translate('Neni_zadan_kod_testu') );
            return false;
        }

        if (popis == '') {
            novyTestError( ron.translate('Neni_zadan_popis_testu') );
            return false;
        }


        $.ajax(
            {
                url: "?menuid=kurzy&action=newtest",
                type: "POST",
                data: {
                    idRevize: dataEditace.revize,
                    kod: kod,
                    popis: popis
                }
            })
            .done( function(data) {
                if (data.result == "OK") {
                    $("#novyTestDialog").dialog("close");

                    dataEditace.testy = data.testy;
                    zobrazTesty();
                } else {
                    novyTestError(data);
                }
            }).fail( function(jqXHR) {
                ron.logAjaxError(jqXHR, "Pri vytvareni noveho testu doslo k chybe!");
                novyTestError("Pri vytvareni noveho testu doslo k chybe!");
            });
    };

    var novyTestStorno = function() {
        $("#novyTestDialog").dialog ("close");
    };


    var novyTest = function() {
        $("#novyTestOK").removeAttr("disabled"); // pri predchozim pouziti byl disabled

        $("#novyTestDialog").dialog ({
            modal : true,
            resizable: true,
            width: "auto",
            height: "auto"
        });
    };


    $("#kurz_prilohy")
        .on("dblclick", "li", prilohaDblClick);
    $("#pripojitNovyTest").on("click", novyTest);
    $("#novyTestOK").on("click", novyTestOK);
    $("#novyTestStorno").on("click", novyTestStorno);


    $("#btn_podrobnosti_strany_OK")
        .on("click", function() {
            savePageProperties(aktualniStrana);
        });
    $("#elearning_prilohy")
        .dndTarget()
        .on("drop", onPrilohaDrop);
    $("#elearning_osnova")
        .dndTarget()
        .on("drop", onPageDrop);


    $( window)
        .on("resize", onResize);

    zobrazStranu(0);
};


$(function() {
    var onDeletePriloha = function($e, afterDeleteCallback) {
        var
            idPrilohy = $($e.target).data("ron-id"),
            idRevize = $($e.delegateTarget).data("id-revize");

        console.log("delete-media", idPrilohy, idRevize);

        if (!confirm( ron.translate('Opravdu_smazat_prilohu'))) {
            return false;
        }

        $.ajax('?menuid=kurzy&action=deletepriloha&id=' + idPrilohy + '&revize=' + idRevize)
            .done( function(data) {
                if (data.result == "OK") {
                    if (afterDeleteCallback) {
                        afterDeleteCallback();
                    }
                } else {
                    ron.showError(data);
                }
            }).fail( function(jqXHR) {
                ron.logAjaxError(jqXHR, "Pri odstranovani prilohy doslo k chybe!");
            });

        return true;
    };

    $("#kurz_prilohy")
        .on("delete-media", ".media-item", onDeletePriloha);
});

ronPortal.elearning.prezentace = function() {

    var screenSize = ron.utils.windowSize();

    Reveal.initialize({
        width: screenSize.x * 0.9,
        height: screenSize.y * 0.9,
        margin: 0.05,
        controls: true,
        progress: true,
        slideNumber: true,
        history: false,
        keyboard: true,
        overview: true,
        center: false,
        touch: true,
        loop: false,
        rtl: false,
        fragments: true,
        embedded: false,
        help: true,
        autoSlide: 0,
        autoSlideStoppable: true,
        mouseWheel: false,
        hideAddressBar: true,
        previewLinks: false,
        transition: 'default', // none/fade/slide/convex/concave/zoom
        transitionSpeed: 'default', // default/fast/slow
        backgroundTransition: 'default', // none/fade/slide/convex/concave/zoom
        viewDistance: 3,
        parallaxBackgroundImage: '', // e.g. "'https://s3.amazonaws.com/hakim-static/reveal-js/reveal-parallax-1.jpg'"
        parallaxBackgroundSize: '', // CSS syntax, e.g. "2100px 900px"
        parallaxBackgroundHorizontal: '',
        parallaxBackgroundVertical: ''
    });
};

